> For the complete documentation index, see [llms.txt](https://docs.otherplanet.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.otherplanet.dev/scripts/op-vehicle-theft/config.md).

# Config

## ESX FRAMEWORK:

```lua
Config = {}

Config.Locale = "en" -- Available: en/pl/nl
Config.FontAwesomeUrl = "https://kit.fontawesome.com/bbb738372b.js" -- to avoid icons dissapper change it to your own kit.
Config.TranslateCapIndex = "TranslateCap" -- Available: TranslateCap & _U (Depends on your esx version)
Config.AccessType = "marker" -- ox-target / marker (Method to access actions)
Config.RobberyCoolDown = 30 -- Time in minutes (Minimum 1 minute to avoid script bugs/errors)

Config.RobberyPayment = {
    Method = "money", -- money/bank
    From = 5000, -- Minial wage
    To = 14000, -- Maximum wage
}
Config.ItemsPrice = 2000
Config.Lector = true -- Disable/enable lector reading subtitles (by default sounds are in english)
Config.RemoveItemsAfterHackSuccess = true

Config.Peds = {
    ['PurchasePed'] = {
        PedName = "PurchasePed",
        Coords = vec3(849.5851, -1995.7731, 28.9800),
        Heading = 349.3361,
        Model = "ig_g",
        Gender = "male",
        Marker = {
            Color = {r = 255, g = 255, b = 255}, -- When using markers
            ZoneSize = {x = 1.6, y = 1.6, z = 1.6},
            Icon = "fa-solid fa-money-bill-wave", -- When using ox-target
        },
        Animation = {
            Prop = {
                Prop = "prop_security_case_01",
                PropBone = 57005,
                PropPlacement = {
                    0.13,
                    0.0,
                    -0.01,
                    0.0,
                    280.0,
                    90.0
                }
            },
            Dict = "move_weapon@jerrycan@generic",
            Lib = "idle"
        }
    },
    ['TaskPed'] = {
        PedName = "TaskPed",
        Coords = vec3(706.0336, -966.3549, 29.4066),
        Heading = 310.3349,
        Model = "csb_prologuedriver",
        Gender = "male",
        Marker = {
            Color = {r = 255, g = 255, b = 255}, -- When using markers
            ZoneSize = {x = 1.6, y = 1.6, z = 1.6},
            Icon = "fa-solid fa-comments", -- When using ox-target
        },
        Weapon = "weapon_assaultrifle",
    },
    ['DestinationPed'] = {
        PedName = "DestinationPed",
        Coords = {
            vec4(749.1194, -1835.5430, 29.2916, 84.6187),
            vec4(130.2849, -2199.1765, 6.1263, 13.4912), 
            vec4(-35.8385, -2551.1245, 6.0648, 40.7658), 
            vec4(999.9223, -1564.4628, 29.7548, 354.7252),
            vec4(859.0701, -2307.0659, 29.3458, 82.8209)
        },
        Model = "a_m_y_beachvesp_01",
        Gender = "male",
        Marker = {
            Color = {r = 255, g = 255, b = 255}, -- When using markers
            ZoneSize = {x = 1.6, y = 1.6, z = 1.6},
            Icon = "fa-solid fa-truck-fast", -- When using ox-target
        }
    }
}

Config.Robberies = {
    { 
        Vehicle = {
            Coords = vec4(1399.5050, -572.8305, 74.3388, 292.0177),
            Model = "baller3"
        },
        KeysSignal = vec3(1403.2085, -555.8320, 74.3142)
    },
    { 
        Vehicle = {
            Coords = vec4(-169.0421, 969.9980, 236.9084, 314.4579),
            Model = "toros"
        },
        KeysSignal = vec3(-193.5338, 1002.1603, 232.1337)
    },
    { 
        Vehicle = {
            Coords = vec4(-343.4330, 633.9341, 172.3117, 50.6724),
            Model = "tailgater2"
        },
        KeysSignal = vec3(-333.2446, 603.7850, 171.9542)
    },
    { 
        Vehicle = {
            Coords = vec4(-812.3580, 809.2833, 202.0992, 20.6129),
            Model = "rebla"
        },
        KeysSignal = vec3(-831.0214, 790.7659, 202.5863)
    },
}

Config.Customization = {
    Blips = {
        -- Blip colors: https://wiki.rage.mp/index.php?title=Blip::color
        -- Blips list: https://docs.fivem.net/docs/game-references/blips/
        VehicleBlip = {
            Sprite = 326,
            Color = 4,
            Scale = 0.8,
            Display = 4
        },
        VehicleZoneBlip = {
            Color = 49,
            Alpha = 222,
            Radius = 60.0
        },
        DestinationBlip = {
            Sprite = 280,
            Color = 2,
            Scale = 0.8,
            Display = 4
        }
    },
    Routes = { -- Minimap waypoints colors
        ToVehicle = { -- From first ped to vehicle coords
            displayOnFoot = false,
            Color = 0 -- https://docs.fivem.net/docs/game-references/hud-colors/
        },
        ToDestination = { -- From vehicle to destination place
            displayOnFoot = false,
            Color = 25 -- https://docs.five.net/docs/game-references/hud-colors/
        }
    },
    -- Colors list in hack
    Colors = {"#4287f5", "#ff2929", "#ffc629", "#5bff29", "#29ffe2", "#9729ff", "#ff29bb", "#1905fa"}, 
    -- Icons list in hack (use fontawesome!) https://fontawesome.com/
    Icons = {"fa-solid fa-paperclip", "fa-solid fa-magnet", "fa-solid fa-tag", "fa-solid fa-tree", "fa-solid fa-snowflake", "fa-solid fa-vials", "fa-solid fa-road", "fa-solid fa-snowplow", "fa-solid fa-igloo"},
    -- Main Ui Color
    MainColor = "rgb(178, 46, 240)",
    -- Ui screen hints
    Hints = {
        Color = "#fff",
        FontSize = "17px",
        Position = "fixed",
        Bottom = "90px",
        Left = "50%",
        Transform = "Translate(-50%)",
        MaxWidth = "70%"
    }
}

Config.Logs = "https://discord.com/api/webhooks/"

-- FiveM's list of Ped Models can be found here: https://docs.fivem.net/docs/game-references/ped-models/
-- A list of all the animations can be found here: https://alexguirre.github.io/animations-list/
-- Discord Weebhooks introducion can be found here: https://support.discord.com/hc/en-us/articles/228383668-Intro-to-Webhooks
```

## QBCORE FRAMEWORK:

```lua
Config = {}

Config.Locale = "en" -- Available: en/pl/nl
Config.FontAwesomeUrl = "https://kit.fontawesome.com/bbb738372b.js" -- to avoid icons dissapper change it to your own kit.
Config.AccessType = "marker" -- ox-target / qb-target / marker (Method to access actions)
Config.RobberyCoolDown = 2 -- Time in minutes (Minimum 1 minute to avoid script bugs/errors)

Config.RobberyPayment = {
    Method = "cash", -- cash/bank
    From = 5000, -- Minial wage
    To = 14000, -- Maximum wage
}
Config.ItemsPrice = 2000
Config.Lector = true -- Disable/enable lector reading subtitles (by default sounds are in english)
Config.RemoveItemsAfterHackSuccess = true

Config.KeySystem = "qb" -- set it to false when you are not using qb-vehiclekeys

Config.Peds = {
    ['PurchasePed'] = {
        PedName = "PurchasePed",
        Coords = vec3(849.5851, -1995.7731, 28.9800),
        Heading = 349.3361,
        Model = "ig_g",
        Gender = "male",
        Marker = {
            Color = {r = 255, g = 255, b = 255}, -- When using markers
            ZoneSize = {x = 1.6, y = 1.6, z = 1.6},
            Icon = "fa-solid fa-money-bill-wave", -- When using ox-target
        },
        Animation = {
            Prop = {
                Prop = "prop_security_case_01",
                PropBone = 57005,
                PropPlacement = {
                    0.13,
                    0.0,
                    -0.01,
                    0.0,
                    280.0,
                    90.0
                }
            },
            Dict = "move_weapon@jerrycan@generic",
            Lib = "idle"
        }
    },
    ['TaskPed'] = {
        PedName = "TaskPed",
        Coords = vec3(706.0336, -966.3549, 29.4066),
        Heading = 310.3349,
        Model = "csb_prologuedriver",
        Gender = "male",
        Marker = {
            Color = {r = 255, g = 255, b = 255}, -- When using markers
            ZoneSize = {x = 1.6, y = 1.6, z = 1.6},
            Icon = "fa-solid fa-comments", -- When using ox-target
        },
        Weapon = "weapon_assaultrifle",
    },
    ['DestinationPed'] = {
        PedName = "DestinationPed",
        Coords = {
            vec4(749.1194, -1835.5430, 29.2916, 84.6187),
            vec4(130.2849, -2199.1765, 6.1263, 13.4912), 
            vec4(-35.8385, -2551.1245, 6.0648, 40.7658), 
            vec4(999.9223, -1564.4628, 29.7548, 354.7252),
            vec4(859.0701, -2307.0659, 29.3458, 82.8209)
        },
        Model = "a_m_y_beachvesp_01",
        Gender = "male",
        Marker = {
            Color = {r = 255, g = 255, b = 255}, -- When using markers
            ZoneSize = {x = 1.6, y = 1.6, z = 1.6},
            Icon = "fa-solid fa-truck-fast", -- When using ox-target
        }
    }
}

Config.Robberies = {
    { 
        Vehicle = {
            Coords = vec4(1399.5050, -572.8305, 74.3388, 292.0177),
            Model = "baller3"
        },
        KeysSignal = vec3(1403.2085, -555.8320, 74.3142)
    },
    { 
        Vehicle = {
            Coords = vec4(-169.0421, 969.9980, 236.9084, 314.4579),
            Model = "toros"
        },
        KeysSignal = vec3(-193.5338, 1002.1603, 232.1337)
    },
    { 
        Vehicle = {
            Coords = vec4(-343.4330, 633.9341, 172.3117, 50.6724),
            Model = "tailgater2"
        },
        KeysSignal = vec3(-333.2446, 603.7850, 171.9542)
    },
    { 
        Vehicle = {
            Coords = vec4(-812.3580, 809.2833, 202.0992, 20.6129),
            Model = "rebla"
        },
        KeysSignal = vec3(-831.0214, 790.7659, 202.5863)
    },
}

Config.Customization = {
    Blips = {
        -- Blip colors: https://wiki.rage.mp/index.php?title=Blip::color
        -- Blips list: https://docs.fivem.net/docs/game-references/blips/
        VehicleBlip = {
            Sprite = 326,
            Color = 4,
            Scale = 0.8,
            Display = 4
        },
        VehicleZoneBlip = {
            Color = 49,
            Alpha = 222,
            Radius = 60.0
        },
        DestinationBlip = {
            Sprite = 280,
            Color = 2,
            Scale = 0.8,
            Display = 4
        }
    },
    Routes = { -- Minimap waypoints colors
        ToVehicle = { -- From first ped to vehicle coords
            displayOnFoot = false,
            Color = 0 -- https://docs.fivem.net/docs/game-references/hud-colors/
        },
        ToDestination = { -- From vehicle to destination place
            displayOnFoot = false,
            Color = 25 -- https://docs.fivem.net/docs/game-references/hud-colors/
        }
    },
    -- Colors list in hack
    Colors = {"#4287f5", "#ff2929", "#ffc629", "#5bff29", "#29ffe2", "#9729ff", "#ff29bb", "#1905fa"}, 
    -- Icons list in hack (use fontawesome!) https://fontawesome.com/
    Icons = {"fa-solid fa-paperclip", "fa-solid fa-magnet", "fa-solid fa-tag", "fa-solid fa-tree", "fa-solid fa-snowflake", "fa-solid fa-vials", "fa-solid fa-road", "fa-solid fa-snowplow", "fa-solid fa-igloo"},
    -- Main Ui Color
    MainColor = "rgb(178, 46, 240)",
    -- Ui screen hints
    Hints = {
        Color = "#fff",
        FontSize = "17px",
        Position = "fixed",
        Bottom = "90px",
        Left = "50%",
        Transform = "Translate(-50%)",
        MaxWidth = "70%"
    }
}

Config.Logs = "https://discord.com/api/webhooks/"

-- FiveM's list of Ped Models can be found here: https://docs.fivem.net/docs/game-references/ped-models/
-- A list of all the animations can be found here: https://alexguirre.github.io/animations-list/
-- Discord Weebhooks introducion can be found here: https://support.discord.com/hc/en-us/articles/228383668-Intro-to-Webhooks
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.otherplanet.dev/scripts/op-vehicle-theft/config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
